classification
Title: [PATCH] Unicode fixes in floatobject and moduleobject
Type: Stage:
Components: Versions: Python 3.0
process
Status: closed Resolution: duplicate
Dependencies: Superseder:
Assigned To: Nosy List: ero.carrera, gvanrossum
Priority: normal Keywords: patch

Created on 2007-08-25 18:16 by ero.carrera, last changed 2007-09-02 20:05 by loewis. This issue is now closed.

Files
File name Uploaded Description Edit
floatobject_moduleobject_pystring.patch ero.carrera, 2007-08-25 18:16
Messages (3)
msg55291 - (view) Author: Ero Carrera (ero.carrera) Date: 2007-08-25 18:16
Removed calls to  _PyUnicode_AsDefaultEncodedString and replaced them
wit PyUnicode_AsString.
Also removed calls to PyString_* and replaced them by the equivalent
PyUnicode_*
msg55437 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2007-08-29 20:43
Is this still relevant? The patch fails applying with quit a bit of
fireworks:

patching file moduleobject.c
Hunk #1 FAILED at 66.
Hunk #2 succeeded at 86 (offset -5 lines).
Hunk #3 FAILED at 115.
Hunk #4 FAILED at 128.
3 out of 4 hunks FAILED -- saving rejects to file moduleobject.c.rej
patching file floatobject.c
Reversed (or previously applied) patch detected!  Assume -R? [n] n
Apply anyway? [n] n
Skipping patch.
3 out of 3 hunks ignored -- saving rejects to file floatobject.c.rej
msg55443 - (view) Author: Ero Carrera (ero.carrera) Date: 2007-08-29 21:28
Just took a look. Seems it was fixed in some other patch hence the fireworks
History
Date User Action Args
2007-09-02 20:05:03loewissetkeywords: + patch
2007-08-29 21:31:07gvanrossumsetstatus: open -> closed
resolution: duplicate
2007-08-29 21:28:10ero.carrerasetmessages: + msg55443
2007-08-29 20:43:41gvanrossumsetnosy: + gvanrossum
messages: + msg55437
2007-08-25 18:16:27ero.carreracreate